package com.reyun.dic;

/**
 * Created by nolan on 28/12/2016.
 * description:
 */
public enum OperateObjectEnumType {
    APP("app", "应用"),
    CAMPAIGN("campaign", "推广活动"),
    CAMPAIGN_DOWNLOAD_URL("campaign_download_url", "下载地址"),
    CAMPAIGN_GROUP("campaign_group", "推广活动组"),
    CHANNEL("channel", "渠道"),
    CHANNELPARAM("channelparam", "渠道参数"),
    CHANNEL_ACCOUNT("channelaccount", "渠道账号"),
    ACCOUNT("account", "成员"),
    SYSTEM_PARAM("system_param", "推广参数"),
    CALLBACK("callback", "推广回调"),
    EVENT("event", "事件"),
    EVENT_STATS("event_stats","事件分析"),
    PROFILE("profile", "用户属性"),
    RETENTION("retention", "留存"),
    FUNNEL("funnel", "漏斗"),
    USER_GROUP("user_group","用户分群"),
    REPORT("report", "报表"),
    LOGOUT("logout","登出"),
    LONGIN("login","登录"),
    LOGEXPORT("logexport","日志导出"),
    REPORTDOWN("reportdown","报表下载"),
    LOGADRESS("logadress","日志地址"),
    SUBCAMPAIGN("subcampaign","子活动"),
    ONELINK("onelink","onelink");
    
    private String code;
    private String name;

    OperateObjectEnumType(String code, String name) {
        this.code = code;
        this.name = name;
    }

    public String getCode() {
        return code;
    }

    public String getName() {
        return name;
    }
}
